// C Source File of Demineur 92+ by TECHER Frederic


#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define SAVE_SCREEN           // Save/Restore LCD Contents
#include <tigcclib.h>         // Include All Header Files

                 
short _ti92plus;


typedef struct
  {
    char name[9];
    short int score;
  } HSC_ITEM;
  
#define HS_TABLE_SIZE 5
HSC_ITEM hsc_table[HS_TABLE_SIZE]={{},{},{},{},{}};
/*contrase dwon*/
#define dem() {drawstr_centre(42, "Demineur 92+");}
#define ctdw()		{for(x=0;x<=7;x++){OSContrastDn();for(y=0;y<25000;y++){}}}
/*contrase dwon*/
#define ctup()		{for(x=0;x<=7;x++){OSContrastUp();for(y=0;y<25000;y++){}}}

#define savescr() {  SetPlane(DARK_PLANE); BitmapGet(&zone, scr_d); SetPlane(LIGHT_PLANE); BitmapGet(&zone, scr_l);}
#define rclscr()  {  SetPlane(DARK_PLANE); BitmapPut(0, 0, scr_d, &zone, A_REPLACE); SetPlane(LIGHT_PLANE); BitmapPut(0, 0, scr_l, &zone, A_REPLACE);}

/*draw window with title*/
#define rect(x,y,arg) {ScrRectFill (&(SCR_RECT){{118-x/2, 62-y/2, 122+x/2, 66+y/2}}, &zone , A_REVERSE);ScrRectFill (&(SCR_RECT){{120-x/2, 64-y/2, 120+x/2, 72-y/2}}, &zone , A_NORMAL);DrawClipRect (MakeWinRect (117-x/2, 61-y/2, 123+x/2, 67+y/2), ScrRect, A_NORMAL);DrawClipRect (MakeWinRect (118-x/2, 62-y/2, 122+x/2, 66+y/2), ScrRect, A_NORMAL);DrawClipRect (MakeWinRect (120-x/2, 72-y/2, 120+x/2, 64+y/2), ScrRect, A_NORMAL);FontSetSys(F_4x6);DrawStr((240-DrawStrWidth(arg, FontGetSys()))/2, 66-y/2,arg,A_REVERSE);}
#define rect0(x,y) {SetPlane(LIGHT_PLANE);ScrRectFill (&(SCR_RECT){{118-x/2, 62-y/2, 122+x/2, 66+y/2}}, &zone , A_REVERSE);ScrRectFill (&(SCR_RECT){{120-x/2, 64-y/2, 120+x/2, 72-y/2}}, &zone , A_NORMAL);}

#define drawstr_centre(y,arg) { DrawStr ((240-DrawStrWidth(arg, FontGetSys()))/2, y, arg, A_REPLACE); }
/*draw High Score*/
#define HS() {rect(120,78,">> High Score <<");FontSetSys(F_8x10);for (u=0; u<HS_TABLE_SIZE; u++){	sprintf(string,"%d",hsc_table[u].score);DrawStr (63,36+13*u, hsc_table[u].name, A_NORMAL);DrawStr (156-(DrawStrWidth(string, FontGetSys()))/2  ,36+13*u, string, A_NORMAL);} rect0(120,78);}
/*draw About*/
#define aide() {savescr ();SetPlane(LIGHT_PLANE);help();	SetPlane(DARK_PLANE);help();ngetchx();rclscr();}


#define test(x,y) {if (y-1>=0 && x-1>=0)		if (d_m[y-1][x-1]==9) f=f+1;if (x-1>=0)							if (d_m[y][x-1]==9) f=f+1;if (y+1<=8 && x-1>=0)		if (d_m[y+1][x-1]==9) f=f+1;if (y-1>=0)							if (d_m[y-1][x]==9) f=f+1;if (y+1<=8)							if (d_m[y+1][x]==9) f=f+1;if (y-1>=0 && x+1<=13)	if (d_m[y-1][x+1]==9) f=f+1;if (x+1<=13)						if (d_m[y][x+1]==9) f=f+1;if (y+1<=8 && x+1<=13)	if (d_m[y+1][x+1]==9) f=f+1;}
/*draw selct bar*/

#define bar(x,y) {DrawLine (120-x/2, y-1,  120+x/2, y-1, A_XOR);DrawLine (120-x/2, y, 120+x/2, y, A_XOR);DrawLine (120-x/2, y+1, 120+x/2, y+1, A_XOR);DrawLine (120-x/2, y+2, 120+x/2, y+2, A_XOR);DrawLine (120-x/2, y+3, 120+x/2, y+3, A_XOR);DrawLine (120-x/2, y+4, 120+x/2, y+4, A_XOR);DrawLine (120-x/2, y+5, 120+x/2, y+5, A_XOR);DrawLine (120-x/2, y+6, 120+x/2, y+6, A_XOR);DrawLine (120-x/2, y+7, 120+x/2, y+7, A_XOR);DrawLine (120-x/2, y+8, 120+x/2, y+8, A_XOR);DrawLine (120-x/2, y+9, 120+x/2, y+9, A_XOR);DrawLine (120-x/2, y+10, 120+x/2, y+10, A_XOR);}
#define bar_titre() {ScrRectFill(&(SCR_RECT){{0, 0, 240, 10}}, &zone , A_NORMAL);FontSetSys(F_8x10);DrawStr ((240-DrawStrWidth("Demineur 92+", FontGetSys()))/2, 1, "Demineur 92+", A_REVERSE);		FontSetSys(F_4x6);		DrawStr (220, 5, ve, A_REVERSE);}
#define box() {ScrRectFill (&(SCR_RECT){{196, 23, 239, 33}}, &zone , A_NORMAL);DrawClipRect (MakeWinRect (196, 23, 239, 120), ScrRect, A_NORMAL);DrawClipRect (MakeWinRect (197, 33, 238, 119), ScrRect, A_NORMAL);DrawLine(0, 120, 240, 120, A_NORMAL);DrawLine(0, 119, 240, 119, A_NORMAL);}

unsigned short  d_m[9][14] = {{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0},
															{0,0,0,0,0,0,0,0,0,0,0,0,0,0}};
char ve[] = "V8.21";
short t=0;
short af=0;
short i=0;
short f=0;
short x=0;
short y=0;
SCR_RECT zone = {{0, 0, 239, 127}};
char scr_d [BITMAP_HDR_SIZE + 240*128/8];
char scr_l [BITMAP_HDR_SIZE + 240*128/8];
char string[10];
int InpStr (char *buffer, short maxlen)
{
  int key, i = 0;
  buffer[0] = 0;
  do
    {
      	
      sprintf (string," %s ", buffer);
      drawstr_centre(71,string);
        
      key = ngetchx ();      
      if ((key == KEY_BACKSPACE) && (i>0))
      	i--;
			else if ((key != KEY_ENTER) && (i < maxlen))
				buffer[i++] = key;
      buffer[i] = 0;
    } while (key != KEY_ENTER);
	return i;
}



void about(void)	
{
	savescr ();
	SetPlane(DARK_PLANE);
	rect(100,68,"A Propos");
	drawstr_centre(53, "v7.00");
	drawstr_centre(69, "and");
	drawstr_centre(89, "TTCH@wanadoo.fr");
	FontSetSys(F_8x10);
	dem();
	
	rect0(100,68);
	dem();
	SetPlane(DARK_PLANE);
	FontSetSys(F_6x8);
	drawstr_centre(61, "TECHER Frederic");
	drawstr_centre(76, "TECHER Rebecca");
	ngetchx();
	rclscr ();
	
	SetPlane(DARK_PLANE);
	rect(126,62,"Remerciement");
	drawstr_centre(76, "et de");
	FontSetSys(F_8x10);
	dem();
	DrawLine(60, 53, 180, 53, A_NORMAL);
	
	rect0(126,62);
	dem();
	DrawLine(60, 53, 180, 53, A_NORMAL);
	SetPlane(DARK_PLANE);
	FontSetSys(F_6x8);
	drawstr_centre(56, "Grace au tutorial de");
	drawstr_centre(66, "Squale92 & Verstand");
	drawstr_centre(84, "TI-GCC v0.91");
	ngetchx();
	rclscr ();
	
	SetPlane(DARK_PLANE);
	rect(118,62,"Remerciement");
	drawstr_centre(64, "de");
	FontSetSys(F_8x10);
	dem();
	DrawLine(62, 53, 176, 53, A_NORMAL);
	
	rect0(118,62);
	dem();
	DrawLine(62, 53, 176, 53, A_NORMAL);
	SetPlane(DARK_PLANE);
	FontSetSys(F_6x8);
	drawstr_centre(56, "Et a l'exemple de ");
	drawstr_centre(66, "Flib v4.03");
	drawstr_centre(84, "Franois Leiber");
	ngetchx();
	rclscr();
}











void help(void) 
{	
rect(130,60,"Demieur 92+");
DrawStr(94,51,"[^]         [7][8][9]", A_NORMAL);
drawstr_centre(57,"[<]   [>] et [4]     [6]");
DrawStr(94,63,"[V]         [1][2][3]", A_NORMAL);
MoveTo(97, 63);putchar(20);
MoveTo(97, 51);putchar(19);
MoveTo(105, 57);putchar(18);
MoveTo(89, 57);putchar(17);
drawstr_centre(72,"[CLEAR]  -> eteindre       [F1] -> aide");
drawstr_centre(79,"[ESC] -> quitte , abandon");
drawstr_centre(44,"Pour ce deplacer");
drawstr_centre(85,"[+] , [-] -> Contraste");
}


void titre(void)
{ 
	ctdw();
	ClrScr();
	BitmapPut(60, 43, (BITMAP *)&(unsigned char[])  {0,42,0,120, 	0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFD, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFD, 0x9F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE1, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE1, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xE1, 0x8F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFB, 0xBF, 0x81, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF3, 0xBF, 0x81, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF3, 0x7F, 0xC1, 0x8F, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF7, 0x7F, 0xC0, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF7, 0x7F, 0x80, 0x06, 0x3F, 0xE0, 0xF1, 0xE7, 0x9F, 0xE7, 0xE0, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x1F, 0x80, 0x06, 0x1C, 0xE1, 0xFC, 0xC3, 0x0F, 0xF3, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x1F, 0x00, 0x06, 0x1C, 0x03, 0xDC, 0xC3, 0x0C, 0x13, 0x8E, 0x00, 0x00, 0x00, 0x0C, 0x30, 0x3C, 0x00, 0x06, 0x1C, 0x03, 0x84, 0xC3, 0x0C, 0x03, 0x87, 0x00, 0x00, 0x00, 0x00, 0x38, 0x78, 0x00, 0x06, 0x1C, 0x03, 0x00, 0xC3, 0x0C, 0x23, 0x86, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x06, 0x1F, 0xC3, 0x00, 0xFF, 0x0F, 0xE3, 0x9E, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x06, 0x1C, 0x43, 0x00, 0xFF, 0x0F, 0xE3, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x06, 0x1C, 0x03, 0x00, 0xC3, 0x0C, 0x23, 0x9C, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x06, 0x1C, 0x03, 0x84, 0xC3, 0x0C, 0x03, 0x8E, 0x00, 0x00, 0x00, 0x00, 0x07, 0xC0, 0x00, 0x06, 0x1C, 0x13, 0xDC, 0xC3, 0x0C, 0x03, 0x8E, 0x00, 0x00, 0x00, 0x00, 0x03, 0xC0, 0x00, 0x0E, 0x1F, 0xF1, 0xFC, 0xC3, 0x0C, 0x13, 0x87, 0x00, 0x00, 0x00, 0x00, 0x01, 0xE0, 0x00, 0x1F, 0x3F, 0xE0, 0xF1, 0xE7, 0x9F, 0xF3, 0x83, 0x80, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE7, 0x07, 0x0F, 0x1F, 0xFF, 0xC1, 0xF1, 0xFE, 0x03, 0xDF, 0xE7, 0x0F, 0x7F, 0xC3, 0xA0, 0xE3, 0x83, 0x3F, 0xBF, 0xF7, 0xF8, 0xE0, 0xCE, 0x03, 0x0F, 0xF3, 0x86, 0xFF, 0xCF, 0xE0, 0xE3, 0xC2, 0x30, 0xA3, 0x97, 0x1C, 0xE0, 0x4F, 0x07, 0x0C, 0x13, 0xC2, 0x8E, 0x6C, 0x20, 0xE3, 0xE2, 0x70, 0x03, 0x07, 0x0E, 0xE0, 0x4F, 0x07, 0x0C, 0x03, 0xC2, 0x0E, 0x1C, 0x00, 0xE2, 0xF2, 0x78, 0x03, 0x07, 0x0C, 0xE0, 0x4F, 0x8F, 0x0C, 0x22, 0xE2, 0x0E, 0x1E, 0x00, 0xE2, 0x72, 0x3F, 0x03, 0x07, 0x3C, 0xE0, 0x4F, 0x8B, 0x0F, 0xE2, 0x72, 0x0E, 0x1F, 0xC0, 0xE2, 0x3A, 0x1F, 0x83, 0x07, 0xF0, 0xE0, 0x4D, 0xDB, 0x0F, 0xE2, 0x7A, 0x0E, 0x0F, 0xE0, 0xE2, 0x1E, 0x07, 0xC3, 0x07, 0x38, 0xE0, 0x4D, 0xDB, 0x0C, 0x22, 0x3E, 0x0E, 0x01, 0xF0, 0xE2, 0x1E, 0x01, 0xC3, 0x07, 0x1C, 0xE0, 0x4C, 0xF3, 0x0C, 0x02, 0x1E, 0x0E, 0x00, 0x70, 0xE2, 0x0E, 0x40, 0xC3, 0x07, 0x1C, 0x60, 0xCC, 0xF3, 0x0C, 0x02, 0x0E, 0x0E, 0x10, 0x30, 0xE2, 0x06, 0x71, 0xC3, 0x07, 0x0E, 0x71, 0x8C, 0x63, 0x0C, 0x12, 0x06, 0x0E, 0x1C, 0x60, 0xE3, 0x02, 0x3F, 0x83, 0x87, 0x07, 0x3F, 0x0C, 0x63, 0x9F, 0xF3, 0x02, 0x0E, 0x0F, 0xC0}	, &(SCR_RECT){{0, 0, 239, 127}},A_REPLACE);
	ctup();
	ngetchx();
	GrayOn();
	ctdw();
	SetPlane(DARK_PLANE);
	BitmapPut(0, 0, (BITMAP *)&(unsigned char[])  {0,128,0,240,	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x80, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0xE0, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0xE1, 0x80, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0xF0, 0x00, 0x00, 0x01, 0x88, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x1F, 0xFF, 0x87, 0xFF, 0x9F, 0xF8, 0x3C, 0x0F, 0xFF, 0xF8, 0x7F, 0xFE, 0x1F, 0x01, 0xF1, 0xFF, 0xE0, 0x01, 0xC3, 0xF0, 0x00, 0x00, 0x01, 0x88, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x3E, 0x1F, 0xFF, 0xC7, 0xFF, 0xDF, 0xFC, 0x3C, 0x0F, 0xFF, 0xF8, 0x7F, 0xFE, 0x1F, 0x01, 0xF1, 0xFF, 0xF0, 0x01, 0xC0, 0xF0, 0x46, 0x00, 0x02, 0x08, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x3E, 0x3F, 0xFF, 0xC7, 0xFF, 0xFF, 0xFE, 0x3C, 0x0F, 0xFF, 0xF8, 0xFF, 0xFF, 0x1F, 0x01, 0xF1, 0xFF, 0xF0, 0x01, 0xC0, 0xFC, 0x00, 0x00, 0x01, 0xB0, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x3E, 0x3F, 0x03, 0xC7, 0xC0, 0xF0, 0x3E, 0x3C, 0x0F, 0x80, 0xF8, 0xFC, 0x0F, 0x1F, 0x01, 0xF1, 0xF8, 0xF0, 0x01, 0xC0, 0x7C, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x3E, 0x3F, 0x83, 0xC7, 0xC0, 0xF0, 0x3E, 0x3C, 0x0F, 0x80, 0xF8, 0xFE, 0x0F, 0x1F, 0x01, 0xF1, 0xF8, 0xF0, 0x01, 0xC0, 0x7C, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x3E, 0x3F, 0x83, 0xC7, 0xC0, 0xF0, 0x3E, 0x3E, 0x0F, 0x80, 0xF8, 0xFE, 0x0F, 0x1F, 0x81, 0xF1, 0xF8, 0xF0, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x03, 0x88, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0xFF, 0xC7, 0xE0, 0xF0, 0x3E, 0x3F, 0x0F, 0xE0, 0xF8, 0xFF, 0xFF, 0x1F, 0xC1, 0xF1, 0xF8, 0x00, 0x01, 0xC3, 0x00, 0x00, 0x04, 0x0C, 0x40, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0xFF, 0xC7, 0xE0, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFF, 0xFF, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x90, 0x0E, 0x04, 0x02, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0x00, 0x07, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFC, 0x00, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x01, 0x88, 0x00, 0x83, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0x80, 0x07, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFE, 0x00, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x01, 0x88, 0x00, 0x83, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0x80, 0x07, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFE, 0x00, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x70, 0x37, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0x83, 0xC7, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFE, 0x0F, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x0C, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3E, 0x3F, 0x83, 0xC7, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFE, 0x0F, 0x1F, 0xE1, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x03, 0x80, 0xC3, 0x00, 0x30, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFE, 0x3F, 0xFF, 0xC7, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0xFF, 0xFF, 0x1F, 0xFF, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x03, 0xB1, 0x00, 0x60, 0x70, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0x87, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0x7F, 0xFE, 0x1F, 0xFF, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x03, 0xB1, 0x00, 0x60, 0x70, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x1F, 0xFF, 0x87, 0xF8, 0xF0, 0x3E, 0x3F, 0x8F, 0xF0, 0xF8, 0x7F, 0xFE, 0x1F, 0xFF, 0xF1, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x07, 0xFC, 0x1F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0x1F, 0xFF, 0x80, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0x1F, 0xFF, 0x80, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x07, 0xFF, 0x80, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x3E, 0x07, 0xFF, 0x80, 0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x07, 0xFF, 0x80, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x1F, 0xFF, 0xC0, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x1F, 0xFF, 0xC0, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x1F, 0xEF, 0xF0, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x1F, 0x8F, 0xB8, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x07, 0x00, 0x78, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x07, 0x00, 0x78, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x00, 0x01, 0xC0, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x04, 0x80, 0x00, 0x38, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x07, 0x80, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x03, 0x80, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x00, 0x00, 0x80, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x80, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x80, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0x00, 0x0F, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0xF8, 0xFF, 0xFF, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0xFF, 0xFE, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0xFF, 0x80, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x10, 0x00, 0x00, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x10, 0x00, 0x00, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x00, 0x0C, 0x00, 0x00, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x20, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0x80, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x01, 0x80, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x01, 0x80, 0x00, 0x82, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x01, 0x80, 0x00, 0x82, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x00, 0x40, 0x07, 0xE2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x00, 0x30, 0x3F, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x03, 0x00, 0x37, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x80, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x00, 0x80, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x80, 0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x03, 0xE0, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0xF0, 0x07, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0xF0, 0x07, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x70, 0x0F, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x7C, 0x0E, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x04, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x1C, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x18, 0x0C, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x0C, 0x07, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x0C, 0x07, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x0C, 0x3F, 0xC7, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x03, 0xFF, 0xC7, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x0F, 0xFF, 0xC7, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x1F, 0xFF, 0xC7, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x04, 0x1F, 0xFF, 0xC7, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xCE, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0xFF, 0xCE, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x60, 0x01, 0xFC, 0xE1, 0xB6, 0xE7, 0x00, 0x7E, 0xF1, 0xCE, 0x1C, 0xF0, 0x0C, 0x00, 0x03, 0xFF, 0xBF, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x92, 0x31, 0xFC, 0x87, 0x36, 0xC4, 0x80, 0x40, 0xDB, 0x6F, 0x36, 0xDB, 0x18, 0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x92, 0x40, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0D, 0xB0, 0xDB, 0x10, 0x00, 0x00, 0x1F, 0xFF, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x92, 0x40, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0C, 0xB0, 0xDB, 0x30, 0x00, 0x00, 0x1F, 0xFF, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0xE2, 0x40, 0x20, 0xEC, 0x36, 0xE4, 0x60, 0x78, 0xDB, 0xCC, 0xB8, 0xDB, 0x60, 0x00, 0x00, 0x1F, 0xFF, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0xE1, 0x80, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0C, 0xB0, 0xDB, 0x60, 0x00, 0x20, 0x0F, 0xFF, 0x20, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x91, 0x80, 0x20, 0x8C, 0x3E, 0xC4, 0xE0, 0x40, 0xF3, 0x0C, 0xB0, 0xE3, 0x60, 0x00, 0x20, 0x1F, 0xFF, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x91, 0x80, 0x20, 0x8C, 0x36, 0xC4, 0x80, 0x40, 0xC3, 0x0C, 0xB0, 0xC3, 0x30, 0x00, 0xFC, 0x1F, 0xFF, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x91, 0x80, 0x20, 0x8C, 0x36, 0xC5, 0x80, 0x40, 0xC3, 0x0D, 0xB0, 0xC3, 0x10, 0x00, 0xFC, 0x1F, 0xFF, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x91, 0x80, 0x20, 0x8E, 0x36, 0xC7, 0x00, 0x40, 0xE3, 0x8D, 0xB8, 0xE3, 0x18, 0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0xC0, 0x91, 0x80, 0x20, 0x83, 0x36, 0xC5, 0xC0, 0x40, 0xF3, 0xAF, 0x3A, 0xF3, 0x0E, 0x00, 0x03, 0x81, 0xFF, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0xC0, 0x61, 0x80, 0x20, 0xE1, 0xB6, 0xE4, 0x60, 0x40, 0xD9, 0xEE, 0x1E, 0xDB, 0x00, 0x00, 0x23, 0x80, 0x7F, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0xC0, 0x41, 0x80, 0x20, 0xE1, 0xB6, 0xE4, 0x20, 0x40, 0xC8, 0x0C, 0x00, 0xCB, 0x00, 0x00, 0x23, 0x80, 0x7F, 0xFC, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xCF, 0xC0, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x03, 0x8C, 0x7F, 0xF8, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xCF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xC3, 0x80, 0x7F, 0xF8, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF1, 0xC0, 0x00, 0x79, 0xE7, 0x92, 0x3A, 0x20, 0x80, 0x00, 0x00, 0x80, 0x00, 0x18, 0x00, 0x01, 0x07, 0xE0, 0x7F, 0xE0, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0xC0, 0x00, 0x30, 0xC4, 0x12, 0x49, 0x24, 0x80, 0x00, 0x00, 0x80, 0x00, 0x20, 0x00, 0x00, 0x20, 0xF0, 0x07, 0xE0, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0xC0, 0x00, 0x30, 0xC4, 0x1E, 0x59, 0x2A, 0x8E, 0x70, 0xE3, 0x8C, 0x30, 0x23, 0x80, 0x00, 0x20, 0xF0, 0x07, 0xE0, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x30, 0xC4, 0x12, 0x7A, 0x31, 0x92, 0x49, 0x24, 0x92, 0x48, 0x3A, 0x00, 0x08, 0xE0, 0x9C, 0x01, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0xC0, 0x00, 0x30, 0xC7, 0x92, 0x3C, 0x20, 0x8E, 0x48, 0xE3, 0x8C, 0x31, 0x22, 0x00, 0x08, 0xD8, 0x10, 0x01, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x1C, 0x10, 0x41, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x1C, 0x10, 0x41, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x01, 0xCE, 0x24, 0x02, 0x01, 0xE4, 0x02, 0x30, 0x00, 0x02, 0x01, 0x18, 0x82, 0x0E, 0xD8, 0x10, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x1C, 0x78, 0x00, 0x03, 0x80, 0x00, 0x6C, 0x00, 0x07, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF }	, &(SCR_RECT){{0, 0, 239, 127}},A_REPLACE);
	SetPlane(LIGHT_PLANE);
	BitmapPut(0, 0, (BITMAP *)&(unsigned char[])  {0,128,0,240,	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x01, 0x80, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x10, 0x00, 0x00, 0x90, 0x07, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x10, 0x00, 0x00, 0x90, 0x07, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x80, 0x00, 0x00, 0x8C, 0x46, 0xC0, 0x00, 0x01, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x01, 0xC0, 0x03, 0xE0, 0x4E, 0xC0, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0x63, 0xF0, 0x00, 0xEC, 0x08, 0xC0, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC3, 0x63, 0xF0, 0x00, 0xEC, 0x08, 0xC0, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x03, 0xB8, 0x00, 0xFC, 0x31, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x01, 0x88, 0x00, 0x7C, 0x06, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x10, 0x48, 0x00, 0x01, 0xC0, 0xC0, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x01, 0xF6, 0x00, 0x02, 0x00, 0xC0, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x1F, 0xFF, 0x87, 0xFF, 0x9F, 0xF8, 0x3C, 0x0F, 0xFF, 0xF8, 0x7F, 0xFE, 0x1F, 0x01, 0xF1, 0xFF, 0xE0, 0x01, 0xC0, 0x01, 0xF6, 0x00, 0x02, 0x00, 0xC0, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x1F, 0xFF, 0x87, 0xFF, 0x9F, 0xF8, 0x3C, 0x0F, 0xFF, 0xF8, 0x7F, 0xFE, 0x1F, 0x01, 0xF1, 0xFF, 0xE0, 0x01, 0xC3, 0x0C, 0x00, 0x00, 0x0D, 0xB0, 0x00, 0x00, 0x00, 0xE8, 0x00, 0x3F, 0x3F, 0xFF, 0xC7, 0xFF, 0xFF, 0xFE, 0x3F, 0x0F, 0xFF, 0xFC, 0xFF, 0xFF, 0x1F, 0x81, 0xF9, 0xFF, 0xF0, 0x01, 0xC0, 0x00, 0x7E, 0x00, 0x70, 0x40, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x3F, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0x3F, 0x0F, 0xFF, 0xFC, 0xFF, 0xFF, 0xDF, 0x81, 0xF9, 0xFF, 0xFC, 0x01, 0xC0, 0x80, 0x00, 0xC3, 0xE1, 0xB0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x3F, 0x3F, 0x83, 0xF7, 0xE0, 0xFC, 0x3F, 0x3F, 0x0F, 0xC0, 0xFC, 0xFE, 0x0F, 0xDF, 0x81, 0xF9, 0xFC, 0xFC, 0x01, 0xC0, 0x80, 0x00, 0xC3, 0xE1, 0xB0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x3F, 0x3F, 0x83, 0xF7, 0xE0, 0xFC, 0x3F, 0x3D, 0x0F, 0xC0, 0xFC, 0xFE, 0x0F, 0xDF, 0x01, 0xF9, 0xFC, 0xFC, 0x01, 0xC3, 0x0F, 0xFF, 0xFC, 0x10, 0x31, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x3F, 0x3F, 0xFF, 0xF7, 0xE0, 0xFC, 0x3F, 0x3F, 0x0F, 0xC0, 0xFC, 0xFF, 0xFF, 0xDF, 0x81, 0xF9, 0xFC, 0x7C, 0x01, 0xC0, 0x00, 0x08, 0x03, 0x02, 0x0E, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xFF, 0xF7, 0xF8, 0xFC, 0x3F, 0x3F, 0x8F, 0xF0, 0xFC, 0xFF, 0xFF, 0xDF, 0xE1, 0xF9, 0xFC, 0x00, 0x01, 0xC0, 0x01, 0x80, 0x03, 0x10, 0x46, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xFF, 0xF7, 0xF8, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0xFF, 0xDF, 0xF1, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0xE0, 0x77, 0xFC, 0x60, 0x06, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xE0, 0x07, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0x80, 0x1F, 0xF1, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0xE0, 0x77, 0xFC, 0x60, 0x06, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xE0, 0x07, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0x80, 0x1F, 0xF1, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x00, 0x80, 0x08, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xE3, 0xC7, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0x8F, 0x1F, 0xF1, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x02, 0x07, 0x03, 0x81, 0xC0, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x3F, 0xE3, 0xF7, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0x8F, 0xDF, 0xF1, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x0C, 0x40, 0x00, 0x80, 0x40, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x3F, 0xFF, 0xF7, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0xFF, 0xFF, 0xDF, 0xFF, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x0E, 0x48, 0x00, 0x00, 0x08, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFB, 0x1F, 0xFF, 0xF7, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0x7F, 0xFF, 0xDF, 0xFF, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x0E, 0x48, 0x00, 0x00, 0x08, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x1F, 0xFF, 0xF7, 0xFC, 0xFC, 0x3F, 0x3F, 0xEF, 0xF8, 0xFC, 0x7F, 0xFF, 0xDF, 0xFF, 0xF9, 0xFF, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xC0, 0x62, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x07, 0xFF, 0xC1, 0xFC, 0x7C, 0x0F, 0x1F, 0xE3, 0xF8, 0x3C, 0x1F, 0xFF, 0x07, 0xFF, 0xF8, 0xFF, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0xE0, 0x00, 0x7F, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0xE0, 0x00, 0x7F, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x7E, 0xFB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xF8, 0x10, 0x76, 0xE4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x07, 0xF8, 0x10, 0x79, 0x3C, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xE0, 0xE0, 0x38, 0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xE0, 0xE0, 0x38, 0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xE3, 0xE0, 0x0E, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xE3, 0x8C, 0x07, 0xC0, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xFB, 0xE0, 0x07, 0xE0, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xFB, 0xE0, 0x07, 0xE0, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xFB, 0x80, 0x06, 0x3C, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0F, 0xFB, 0x00, 0x00, 0x07, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFC, 0x7F, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0xF8, 0x00, 0x00, 0x03, 0x83, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x38, 0x00, 0x00, 0x03, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x38, 0x00, 0x00, 0x03, 0x81, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1C, 0x00, 0x00, 0x00, 0x61, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x1C, 0x00, 0x00, 0x00, 0x61, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x61, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x04, 0x00, 0x00, 0x00, 0x61, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x03, 0x00, 0x00, 0x00, 0xE3, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xFC, 0xFF, 0xFF, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x03, 0x80, 0x00, 0x00, 0x63, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFC, 0xFF, 0xFF, 0xC0, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x03, 0x80, 0x00, 0x00, 0xE2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFC, 0xFF, 0xFF, 0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x00, 0xE0, 0x00, 0x00, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFC, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x00, 0xE0, 0x00, 0x00, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFC, 0xFF, 0xC0, 0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x00, 0xE0, 0x00, 0x00, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0xC0, 0x70, 0x00, 0x00, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xE0, 0x70, 0x00, 0x00, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xE0, 0x1C, 0x00, 0x00, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0xE0, 0x1C, 0x00, 0x00, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x18, 0x0C, 0x00, 0x00, 0xEE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xC0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x1C, 0x0E, 0x00, 0x00, 0x8C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xFF, 0xC0, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x1C, 0x02, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x1C, 0x02, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x03, 0x03, 0x80, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x7F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x07, 0x81, 0x80, 0xC0, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x04, 0x81, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x07, 0x60, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x01, 0x07, 0x60, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x07, 0x07, 0x70, 0x30, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x06, 0x1C, 0x10, 0x38, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x1C, 0x0C, 0x00, 0x20, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x1C, 0x0C, 0x00, 0x20, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x0E, 0x1C, 0x9E, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x1B, 0x82, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x3B, 0xE0, 0x30, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x3B, 0xE0, 0x00, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x3B, 0xE0, 0x00, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x23, 0xF0, 0x00, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x27, 0xF0, 0x00, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x23, 0xF0, 0x01, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x23, 0xF0, 0x01, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x3B, 0xF0, 0x0F, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x3B, 0x70, 0x7F, 0x07, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x3B, 0x13, 0xFF, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x3B, 0x7F, 0xFF, 0x07, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x30, 0x3B, 0x7F, 0xFF, 0x07, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x1B, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1C, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFE, 0x7F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x30, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x80, 0x30, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x60, 0x01, 0xFC, 0xE1, 0xB6, 0xE7, 0x00, 0x7E, 0xF1, 0xCE, 0x1C, 0xF0, 0x0C, 0x00, 0x03, 0x00, 0x70, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x92, 0x31, 0xFC, 0x87, 0x36, 0xC4, 0x80, 0x40, 0xDB, 0x6F, 0x36, 0xDB, 0x18, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x92, 0x40, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0D, 0xB0, 0xDB, 0x10, 0x00, 0x18, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x92, 0x40, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0C, 0xB0, 0xDB, 0x30, 0x00, 0x18, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xE2, 0x40, 0x20, 0xEC, 0x36, 0xE4, 0x60, 0x78, 0xDB, 0xCC, 0xB8, 0xDB, 0x60, 0x00, 0x00, 0x01, 0x80, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xE1, 0x80, 0x20, 0x8C, 0x36, 0xC4, 0x60, 0x40, 0xDB, 0x0C, 0xB0, 0xDB, 0x60, 0x00, 0x03, 0x1E, 0x00, 0xD8, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x91, 0x80, 0x20, 0x8C, 0x3E, 0xC4, 0xE0, 0x40, 0xF3, 0x0C, 0xB0, 0xE3, 0x60, 0x00, 0x27, 0x0C, 0x00, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x91, 0x80, 0x20, 0x8C, 0x36, 0xC4, 0x80, 0x40, 0xC3, 0x0C, 0xB0, 0xC3, 0x30, 0x00, 0xC7, 0x1C, 0x01, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x91, 0x80, 0x20, 0x8C, 0x36, 0xC5, 0x80, 0x40, 0xC3, 0x0D, 0xB0, 0xC3, 0x10, 0x00, 0xC7, 0x1C, 0x01, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x01, 0x80, 0x00, 0x91, 0x80, 0x20, 0x8E, 0x36, 0xC7, 0x00, 0x40, 0xE3, 0x8D, 0xB8, 0xE3, 0x18, 0x01, 0x18, 0x70, 0x06, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x01, 0xC0, 0x00, 0x91, 0x80, 0x20, 0x83, 0x36, 0xC5, 0xC0, 0x40, 0xF3, 0xAF, 0x3A, 0xF3, 0x0E, 0x06, 0x18, 0x60, 0x06, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x01, 0xC0, 0x00, 0x61, 0x80, 0x20, 0xE1, 0xB6, 0xE4, 0x60, 0x40, 0xD9, 0xEE, 0x1E, 0xDB, 0x00, 0x00, 0x24, 0x80, 0x08, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x01, 0xC0, 0x00, 0x41, 0x80, 0x20, 0xE1, 0xB6, 0xE4, 0x20, 0x40, 0xC8, 0x0C, 0x00, 0xCB, 0x00, 0x00, 0x24, 0x80, 0x08, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x03, 0x1C, 0x30, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x38, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0xE3, 0x1C, 0x38, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x0E, 0x00, 0x00, 0x79, 0xE7, 0x92, 0x3A, 0x20, 0x80, 0x00, 0x00, 0x80, 0x00, 0x18, 0x00, 0x00, 0x04, 0x60, 0x40, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x01, 0x00, 0x00, 0x30, 0xC4, 0x12, 0x49, 0x24, 0x80, 0x00, 0x00, 0x80, 0x00, 0x20, 0x00, 0x00, 0x18, 0x61, 0x88, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x01, 0x00, 0x00, 0x30, 0xC4, 0x1E, 0x59, 0x2A, 0x8E, 0x70, 0xE3, 0x8C, 0x30, 0x23, 0x80, 0x00, 0x18, 0x61, 0x88, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x07, 0xC0, 0x00, 0x30, 0xC4, 0x12, 0x7A, 0x31, 0x92, 0x49, 0x24, 0x92, 0x48, 0x3A, 0x00, 0x09, 0x03, 0xE2, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x08, 0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xE0, 0x00, 0x30, 0xC7, 0x92, 0x3C, 0x20, 0x8E, 0x48, 0xE3, 0x8C, 0x31, 0x22, 0x00, 0x0E, 0xE3, 0x0E, 0x00, 0xC0, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x00, 0x30, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0x1C, 0x0E, 0x70, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x00, 0x30, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4F, 0x1C, 0x0E, 0x70, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x7F, 0x8F, 0xF8, 0xFC, 0x40, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x04, 0x7F, 0xCF, 0xDF, 0xFE, 0x3F, 0xFF, 0xFD, 0xFE, 0x38, 0xFD, 0xF1, 0x18, 0xFF, 0xFF, 0xDF, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x10, 0x00, 0x00, 0xFC, 0x78, 0x3F, 0x03, 0x81, 0xC0, 0x6F, 0xFF, 0xC7, 0x03, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF }	, &(SCR_RECT){{0, 0, 239, 127}},A_REPLACE);	
	
	ctup();
	ngetchx();
}


void _main(void)
{
	int width=4;
	short a=0;
	short b=0;
	short c=0;
	short d=0;
	short u=0;

	short nombre=0;
	short key=0;
	short score=0;
															
	static unsigned short ce[] = {0b1111111111110000,
													      0b1000000000010000,
    													  0b1000000000010000,
 					  									 	0b1000000000010000,
 				 	  								    0b1000000000010000,
      												  0b1000000000010000,
      												  0b1000000000010000,
      												  0b1000000000010000,
   														  0b1000000000010000,
      													0b1111111111110000};
  static unsigned short fin[] = {0b1111111111110000,
														     0b1101010101010000,
    														 0b1010101010110000,
 						  									 0b1101010101010000,
 					 	  								   0b1010101010110000,
      													 0b1101010101010000,
      													 0b1010101010110000,
      													 0b1101010101010000,
   															 0b1010101010110000,
      													 0b1111111111110000};
	static unsigned char mine[] = {0b00011000,
  	  												   0b00011000,
 						  								 	 0b01100110,
 					 	  							     0b01100110,
      												   0b00011000,
   														   0b00011000};
 static unsigned char mine2[] = {0b00011000,
  	  												   0b00111100,
 						  								 	 0b01111110,
 					 	  							     0b01111110,
      												   0b00111100,
   														   0b00011000};
   														   
  static unsigned short noir[] = {0b1111111111110000,
													       0b1111111111110000,
    													   0b1111111111110000,
 					  									 	 0b1111111111110000,
 				 	  								     0b1111111111110000,
      												   0b1111111111110000,
      												   0b1111111111110000,
      												   0b1111111111110000,
   														   0b1111111111110000,
      													 0b1111111111110000};
  static unsigned char perso[] = {0b00111100,
  	  											      0b00011000,
 						  								 	  0b00100100,
 					 	  							 	    0b01011010,
      											 	    0b01011010,
   													 	    0b00011000,
   													 	    0b00100100,
   													 	    0b00100100};
	FILE *fp = fopen("demi_hs", "rb+"); 
	if(fp == NULL) 
	{
		HSC_ITEM hsc_tabl[HS_TABLE_SIZE]={{"TECHER",1000},
																			 {"TTCH",500},
																			 {"Frederic",400},
																			 {"Rebecca",300},
																			 {"Demieur",100}};
		
		
		fp = fopen("demi_hs", "wb");
		fwrite(hsc_tabl, sizeof(HSC_ITEM), 5, fp); 
		
		putc(0, fp);
		fputs("D_hs", fp);
		putc(0, fp);
		putc(OTH_TAG, fp);
		fclose(fp);
		rect(100,42,"Demineur 92+");
				FontSetSys(F_8x10);
				drawstr_centre(54,"demi_hs.D_hs");
				drawstr_centre(66,"Cree");FontSetSys(F_4x6);
				drawstr_centre(67,"Relancer Demineur 92+");
		ngetchx();
		
		EM_moveSymToExtMem($(demi_hs), HS_NULL);
		goto ex;
	}
	
		
		fopen("demi_hs", "r");
		fread(hsc_table, sizeof(HSC_ITEM), 5, fp);
		width = getc(fp);
		fclose(fp);
	//}


 	
	
	titre();
	

menu:
	  for(a=0;a<=8;a++)	
					{		
						for(b=0;b<=13;b++)	
							{			
								d_m[a][b]=0;			
							}		
					}
		 
	  
	  
	  
	  
	savescr();
	SetPlane(DARK_PLANE);
	rect(140,72,"Demieur 92+");
	FontSetSys(F_8x10);
	drawstr_centre(39,"Nouvelle partie");
	drawstr_centre(51,"High Score");
	drawstr_centre(63,"A propos");
	drawstr_centre(75,"Aide");
	drawstr_centre(87,"Quitte");
	rect0(140,72);
	t=39;
menu_pri:
	bar(136,t);	
	
	key=ngetchx();
	bar(136,t);
	if (key==338) t=t-12;
	if (key==344) t=t+12;
	if (key==KEY_ENTER) goto end_pri;
	if (key==KEY_ESC)	goto exit;
	if (t<39) t=87;
	if (t>87) t=39;
	goto menu_pri;
end_pri:
	rclscr();
	  	  
	  
		if (t==87)  goto exit;
		if (t==51)
			{
 				savescr ();
 				SetPlane(DARK_PLANE);
 				HS();
				ngetchx();
				rclscr();
			}
		if (t==63)  about();
		if (t==75)
			{
  			aide();
			}
  	
  	if (t==39)
			{
				savescr();
				SetPlane(DARK_PLANE);
				rect(90,72,"Nouvelle partie");
				FontSetSys(F_8x10);
				drawstr_centre(39,"Very easy");
				drawstr_centre(51,"easy");
				drawstr_centre(63,"Normal");
				drawstr_centre(75,"Hard");
				drawstr_centre(87,"Very hard");
				rect0(90,72);
				t=39;
menu_new:
	bar(86,t);	
	
	key=ngetchx();
	bar(86,t);
	if (key==338) t=t-12;
	if (key==344) t=t+12;
	if (key==KEY_ENTER) goto end_new;
	if (key==KEY_ESC)	goto menu;
	if (t<39) t=87;
	if (t>87) t=39;
	goto menu_new;
end_new:
	rclscr();
		
		

		
		
	nombre = t -23;	
		if (t==39) sprintf(string,"Very easy");
		if (t==51) sprintf(string,"   easy  ");
		if (t==63) sprintf(string,"  Normal ");
		if (t==75) sprintf(string,"   Hard  ");
		if (t==87) sprintf(string,"Very hard");
				goto start;
			}

		goto menu;
start:
	ctdw();
	SetPlane(LIGHT_PLANE);
	ClrScr();
	SetPlane(DARK_PLANE);
	ClrScr();
	ctup();
		bar_titre();SetPlane(LIGHT_PLANE);
		bar_titre();
		box();SetPlane(DARK_PLANE);
		box();
		FontSetSys(F_4x6);
		DrawStr(217-(DrawStrWidth(string, FontGetSys()))/2, 25,string,A_XOR);
		savescr();
		SetPlane(DARK_PLANE);
		rect( 100, 24,"Chargement");
		FontSetSys(F_8x10);
		randomize();
		
		for(b=0; b<nombre+1;b++)
			{
				sprintf(string,"%d", 100*b/nombre);	drawstr_centre(63,string);
				c=random(9);d=random(14);
				if (d_m[c][d]==9 || (c==0 && d==0) || (c==8 && d==13) || 
					 (c==1 && d==0) || (c==1 && d==1) || (c==0 && d==1) ||
					 (c==8 && d==12) || (c==7 && d==12) || (c==7 && d==13))
					{b=b-1;}
					else
					{d_m[c][d]=9;}
			}
		d_m[8][13]=10;
		rclscr();
		
		for(a=0;a<9;a++)
		{
			for(b=0;b<14;b++)
			{
				if (a==8 && b==13)
				{
				
				 Sprite16(11*b+1, 17+9*a, 10, noir, GetPlane(LIGHT_PLANE), SPRT_OR);
				 Sprite16(11*b+1, 17+9*a, 10, fin, GetPlane(DARK_PLANE), SPRT_OR);
				}
			else
				{
				 
				 Sprite16(11*b+1, 17+9*a, 10, ce, GetPlane(LIGHT_PLANE), SPRT_OR);
				 Sprite16(11*b+1, 17+9*a, 10, ce, GetPlane(DARK_PLANE), SPRT_OR);
				}
			}
		}
		FontSetSys(F_4x6);
		SetPlane(DARK_PLANE);
		sprintf(string,"%d  mines", nombre);
		DrawStr(200, 45, string, A_REPLACE);
		FontSetSys(F_6x8);
		DrawStr(201, 80, "Points", A_REPLACE);
		a=0;b=0;
		score = 0;
		
af=0;
game:
		
		
		Sprite16(11*b+1, 17+9*a, 10, noir, GetPlane(LIGHT_PLANE), SPRT_OR);
		
		Sprite8(3+11*b, 18+9*a, 8, perso, GetPlane(DARK_PLANE), SPRT_XOR);
		f=0;
		test(b,a);
		
		FontSetSys(F_4x6);												//
		sprintf(string,"mine :%d", f);       			//mine
		SetPlane(DARK_PLANE);
		DrawStr(200, 60, string, A_REPLACE);			//
		SetPlane(LIGHT_PLANE);
		DrawStr(200, 60, string, A_REPLACE);
		
		af++;
		if (af==1)  ST_helpMsg("TTCH@wanadoo.fr");
		if (af==2)	ST_helpMsg("F1 => help");
		if (af==3)	ST_helpMsg("TECHER Frederic");
		if (af==4)	ST_helpMsg("TTCH Game     2001");
		if (af==5)	{ST_helpMsg("Demineur 92+");af=0;}
		key = ngetchx();
		Sprite8(3+11*b, 18+9*a, 8, perso, GetPlane(DARK_PLANE), SPRT_XOR);
		
			if (key=='+') OSContrastUp();
			if (key=='-') OSContrastDn();
			if (key==KEY_MODE)
			{
				Sprite8(3+11*b, 18+9*a, 8, perso, GetPlane(DARK_PLANE), SPRT_XOR);
				key = ngetchx();
				Sprite8(3+11*b, 18+9*a, 8, perso, GetPlane(DARK_PLANE), SPRT_XOR);
				if (key==KEY_MODE)
					{
				 		for(c=0;c<=8;c++)	
			 	  		{		
					 			for(d=0;d<=13;d++)	
					  			{			
						 				if (d_m[c][d]==9)
						 				{
						 				 Sprite8(3+11*d, 19+9*c, 6, mine2, GetPlane(DARK_PLANE), SPRT_XOR);	
						 				 Sprite8(3+11*d, 19+9*c, 6, mine, GetPlane(LIGHT_PLANE), SPRT_XOR);}		
					  			}		
				  		}
				  }
			}
			
			if (a>0 && (key==338 || key=='7' || key=='8' || key=='9')) a=a-1;
			if (a<8 && (key==344 || key=='1' || key=='2' || key=='3')) a=a+1;
		
			if (b<13 && (key==340 || key=='9' || key=='6' || key=='3'))  b=b+1;
			if (b>0 && (key==337 || key=='1' || key=='4' || key=='7'))  b=b-1;
		
			if (key==KEY_F1) aide();
			if (key==KEY_CLEAR) off();
			
			
			if (key==KEY_ESC) 
			{
				savescr();
				rect0(70,36);
				SetPlane(DARK_PLANE);
				rect(70,36,"Confirmatoin sortie");
				FontSetSys(F_8x10);
				drawstr_centre(57,"NON");
				drawstr_centre(69,"OUI");
	
				t=57;
				menu_esc:
					bar(56,t);	
					key=ngetchx();
					bar(56,t);
					if (key==338) t=t-12;
					if (key==344) t=t+12;
					if (key==KEY_ENTER || key==KEY_ESC)	goto end_esc;
					if (t<57) t=69;
					if (t>69) t=57;
					goto menu_esc;
				end_esc:
					rclscr();
				if (t==69 && key != KEY_ESC) goto exit;
			}
			
			
			
	
	if (d_m[a][b]==9 || d_m[a][b]==10)
		{
				c=d_m[a][b];
				//afiche_mine();
				for(a=0;a<=8;a++)	
					{		
						for(b=0;b<=13;b++)	
							{			
								if (d_m[a][b]==9)  
								{
								 Sprite8(3+11*b, 19+9*a, 6, mine2, GetPlane(DARK_PLANE), SPRT_OR);	
								 Sprite8(3+11*b, 19+9*a, 6, mine, GetPlane(LIGHT_PLANE), SPRT_OR);}		
							}		
					}
				
				ngetchx();
						
			
				rect0(100,30);
				SetPlane(DARK_PLANE);
				rect(100,30,"Demineur 92+");						
				FontSetSys(F_8x10);
				if (c==9)
				{
					drawstr_centre(63,"Game Over");
					score = score - (nombre*10);
					if (score<0) score=0;
				}
				else
				{
					drawstr_centre(63,"You win");
					score = score + (nombre*10);
				} 
				ngetchx();
				
				rect(120,28,"Demineur 92+");						
				FontSetSys(F_8x10);
				sprintf(string,"Point : %d", score);							//score
				drawstr_centre(61, string); 
				rect0(120,28);
				ngetchx();
				
				
				for (i=0; i<HS_TABLE_SIZE; i++)
		{
			if (score >= hsc_table[i].score)
			{
									
				 
				 for (a=5; a>i;a=a-1)
				 	{
				 		hsc_table[a].score = hsc_table[a-1].score;
				 		for (b=0; b<9; b++)
				 		{
				 			hsc_table[a].name[b] = hsc_table[a-1].name[b];
				 		}
				 	}
				 hsc_table[i].score = score;
			
				 rect0(110,40);						
				 SetPlane(DARK_PLANE);
				 rect(110,40,"Demineur 92+");						
				 drawstr_centre(53,">> New High Score <<");
				 FontSetSys(F_8x10);
				 MoveTo(73, 60);
				 printf("Your name?");
				 InpStr(hsc_table[i].name,8);
				 
				 /*ecrire les highscores et archiver le fochier*/
				EM_moveSymFromExtMem($(demi_hs), HS_NULL);
				fp = fopen("demi_hs", "wb+");
				fwrite(hsc_table, sizeof(HSC_ITEM), 5, fp);
				putc(0, fp);
				fputs("D_hs", fp);
				putc(0, fp);
				putc(OTH_TAG, fp);
				fclose(fp);
				EM_moveSymToExtMem($(demi_hs), HS_NULL); /*archive le fichier*/
				 
				 
				 break;
			}
		}
				
				goto menu;
			}
		else	
		{
			if (d_m[a][b]==0) score = score + ((f+5)*nombre/10);
			d_m[a][b]=1;
			FontSetSys(F_6x8);												//
			sprintf(string,"%d", score);							//score
			SetPlane(DARK_PLANE);
			DrawStr(205, 89, string, A_REPLACE);      //
			
		}
	
	goto game;
		

exit:
		ctdw();	
		GrayOff();
		ClrScr();
		ctup()
	ex:

}
